Bug Hunting Session
Bug 81651 - TOOLBAR: Default 'Insert' button in Tools toolbar doesnt work
Summary: TOOLBAR: Default 'Insert' button in Tools toolbar doesnt work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.3 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.1
Keywords: bibisected, regression
Depends on:
Blocks: Writer-Toolbars
  Show dependency treegraph
 
Reported: 2014-07-22 20:57 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 21:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bibisectlog (2.17 KB, text/plain)
2014-07-22 21:28 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-07-22 20:57:26 UTC
This behaviour effects 4.3.1 and master. Its a regression as it doesnt effect 4.2.5.

Steps:
1) open writer
2) enable 'Tools' toolbar from View > Toolbars
3) click on the table icon of the 'insert' button

Expected: the table dialog should appear.
Comment 1 Jorendc 2014-07-22 21:00:41 UTC
Reproducible
Comment 3 Jorendc 2014-07-22 21:28:24 UTC
Created attachment 103305 [details]
bibisectlog
Comment 4 Julien Nabet 2014-07-23 07:55:30 UTC
On pc Debian x86-64 with master sources updated yesterday, here is what I got:
- If you click on the icon, it doesn't work indeed
- but if you click on the triangle/arrow at the right of the icon, there's a set of buttons which appear (and seem to work)
Comment 5 Julien Nabet 2014-07-23 07:57:13 UTC
I'm trying to find what ui file is used for this part but I've got no result with this search https://translations.documentfoundation.org/fr/translate/#search=EWYQC&sfields=source,target,notes

("EWYQC" corresponding to keyid of the ui)
Comment 6 Julien Nabet 2014-07-23 09:12:39 UTC
Pootle responded and got this:
dapfz=>
WriterCommands.xcu ..WriterCommands.UserInterface.Commands..uno:InsertCtrl Label value.text 
officecfg/registry/data/org/openoffice/Office/UI/WriterCommands.xcu

EWYQC=>

WriterWindowState.xcu ..WriterWindowState.UIElements.States.private:resource/toolbar/toolbar UIName value.text 
officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu
Comment 8 Commit Notification 2014-07-23 11:18:10 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e18cf51c10dc82b81b95381d3beb4796578a2f1

fdo#81651 Wrong argument type in overriding class



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-07-23 15:34:48 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5329610454d149af3e5afde0d50e5129980da879&h=libreoffice-4-3

fdo#81651 Wrong argument type in overriding class


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Jan Holesovsky 2014-07-23 16:08:30 UTC
Yep, this fixes that, thanks so much Maxim! :-) - great work.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:27:10 UTC Comment hidden (obsolete)